package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalGetRoomsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalGetRoomsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalGetRoomsLogic {
	return &SignalGetRoomsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalGetRoomsLogic) SignalGetRooms(in *rtc.SignalGetRoomsReq) (*rtc.SignalGetRoomsResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalGetRoomsResp{}, nil
}
